## NAME

CURLOPT_PROXYPORT - port number the proxy listens on

## SYNOPSIS

#include <curl/curl.h>

CURLcode curl_easy_setopt(CURL *handle, CURLOPT_PROXYPORT, long port);

## DESCRIPTION

Pass a long with this option to set the proxy port to connect to unless it is specified in the proxy string CURLOPT_PROXY or uses the default one.

While this accepts a 'long', the port number is 16 bit so it can't be larger than 65535.

## DEFAULT

0, not specified which makes it use the default port

## PROTOCOLS

All

## EXAMPLE

TODO

## AVAILABILITY

Always

## RETURN VALUE

Returns CURLE_OK

## SEE ALSO

CURLOPT_PROXY, CURLOPT_PROXYTYPE

This HTML page was made with roffit.